package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/1/6 0006
 **/
public enum CertificateTypeEnum implements BaseEnum<String, CertificateTypeEnum> {

    IDENTITY("身份证"),
    HK_MAC("港澳居民往来内地通行证"),
    TAIWAN("台湾居民往来内地通行证"),
    FOREIGN_PASSPORT("外国护照");

    @EnumValue
    private String code;

    private String msg;

    CertificateTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
